Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514987 - [abrt] nemo: gtk_tree_model_get_valist(): nemo killed by SIGSEGV
Summary: [abrt] nemo: gtk_tree_model_get_valist(): nemo killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nemo
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a3147f17552602fa1b11f663ab7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-19 21:23 UTC by Carlos "casep" Sepulveda
Modified: 2018-05-09 21:26 UTC (History)
3 users (show)

Fixed In Version: nemo-3.8.2-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-09 21:26:13 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-19 21:23 UTC, Carlos "casep" Sepulveda
no flags Details
File: cgroup (deleted)
2017-11-19 21:23 UTC, Carlos "casep" Sepulveda
no flags Details
File: core_backtrace (deleted)
2017-11-19 21:23 UTC, Carlos "casep" Sepulveda
no flags Details
File: cpuinfo (deleted)
2017-11-19 21:23 UTC, Carlos "casep" Sepulveda
no flags Details
File: dso_list (deleted)
2017-11-19 21:23 UTC, Carlos "casep" Sepulveda
no flags Details
File: environ (deleted)
2017-11-19 21:23 UTC, Carlos "casep" Sepulveda
no flags Details
File: exploitable (deleted)
2017-11-19 21:23 UTC, Carlos "casep" Sepulveda
no flags Details
File: limits (deleted)
2017-11-19 21:23 UTC, Carlos "casep" Sepulveda
no flags Details
File: maps (deleted)
2017-11-19 21:24 UTC, Carlos "casep" Sepulveda
no flags Details
File: mountinfo (deleted)
2017-11-19 21:24 UTC, Carlos "casep" Sepulveda
no flags Details
File: open_fds (deleted)
2017-11-19 21:24 UTC, Carlos "casep" Sepulveda
no flags Details
File: proc_pid_status (deleted)
2017-11-19 21:24 UTC, Carlos "casep" Sepulveda
no flags Details

Description Carlos "casep" Sepulveda 2017-11-19 21:23:40 UTC
Description of problem:
Detaching an USB drive

Version-Release number of selected component:
nemo-3.6.2-2.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        nemo
crash_function: gtk_tree_model_get_valist
executable:     /usr/bin/nemo
journald_cursor: s=a8e46250536243d99fd314ebf5b3374f;i=596b6;b=8c18069eb69142dca9cef4a00da6fe3d;m=6d63d742;t=55e5c5e541967;x=6233cb8663b9ced3
kernel:         4.13.12-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_tree_model_get_valist at gtktreemodel.c:1800
 #1 gtk_tree_model_get at gtktreemodel.c:1762
 #2 icon_data_func at nemo-tree-sidebar.c:1427
 #3 apply_cell_attributes at gtkcellarea.c:1257
 #4 g_hash_table_foreach at ghash.c:1614
 #5 gtk_cell_area_real_apply_attributes at gtkcellarea.c:1286
 #6 gtk_cell_area_box_apply_attributes at gtkcellareabox.c:1310
 #7 _gtk_marshal_VOID__OBJECT_BOXED_BOOLEAN_BOOLEANv at gtkmarshalers.c:5078
 #8 _g_closure_invoke_va at gclosure.c:867
 #11 gtk_cell_area_apply_attributes at gtkcellarea.c:2373

Potential duplicate: bug 1483217

Comment 1 Carlos "casep" Sepulveda 2017-11-19 21:23:47 UTC
Created attachment 1355379 [details]
File: backtrace

Comment 2 Carlos "casep" Sepulveda 2017-11-19 21:23:48 UTC
Created attachment 1355380 [details]
File: cgroup

Comment 3 Carlos "casep" Sepulveda 2017-11-19 21:23:51 UTC
Created attachment 1355381 [details]
File: core_backtrace

Comment 4 Carlos "casep" Sepulveda 2017-11-19 21:23:52 UTC
Created attachment 1355382 [details]
File: cpuinfo

Comment 5 Carlos "casep" Sepulveda 2017-11-19 21:23:54 UTC
Created attachment 1355383 [details]
File: dso_list

Comment 6 Carlos "casep" Sepulveda 2017-11-19 21:23:56 UTC
Created attachment 1355384 [details]
File: environ

Comment 7 Carlos "casep" Sepulveda 2017-11-19 21:23:57 UTC
Created attachment 1355385 [details]
File: exploitable

Comment 8 Carlos "casep" Sepulveda 2017-11-19 21:23:59 UTC
Created attachment 1355386 [details]
File: limits

Comment 9 Carlos "casep" Sepulveda 2017-11-19 21:24:01 UTC
Created attachment 1355387 [details]
File: maps

Comment 10 Carlos "casep" Sepulveda 2017-11-19 21:24:03 UTC
Created attachment 1355388 [details]
File: mountinfo

Comment 11 Carlos "casep" Sepulveda 2017-11-19 21:24:04 UTC
Created attachment 1355389 [details]
File: open_fds

Comment 12 Carlos "casep" Sepulveda 2017-11-19 21:24:06 UTC
Created attachment 1355390 [details]
File: proc_pid_status

Comment 13 northon_patrick3 2018-03-08 20:51:02 UTC
Similar problem has been detected:

- Right click on a unmounted drive in the tree view.
- Left click somewhere to hide the menu.
- Move the mouse over the list of drives in the tree view.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        nemo
crash_function: gtk_tree_model_get_valist
executable:     /usr/bin/nemo
journald_cursor: s=f5f78803186647389e81af3e8740b822;i=81f2;b=14af0b980c1f416db45335b2321b29cd;m=18a8f99def;t=5665223866373;x=b181013eb5fdb1ad
kernel:         4.15.4-300.fc27.x86_64
package:        nemo-3.6.5-1.fc27
reason:         nemo killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Fedora Update System 2018-05-06 18:33:13 UTC
cinnamon-3.8.2-1.fc28 mint-y-icons-1.1.5-1.fc28 mint-themes-1.6.3-1.fc28 xplayer-1.8.0-1.fc28 pix-1.8.0-1.fc28 cinnamon-screensaver-3.8.1-1.fc28 nemo-3.8.2-1.fc28 xed-1.8.0-1.fc28 muffin-3.8.1-1.fc28 xapps-1.2.1-1.fc28 cinnamon-settings-daemon-3.8.1-1.fc28 cinnamon-menus-3.8.1-1.fc28 cinnamon-desktop-3.8.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d2841d04c8

Comment 15 Fedora Update System 2018-05-07 10:48:19 UTC
cinnamon-3.8.2-1.fc28, cinnamon-desktop-3.8.1-1.fc28, cinnamon-menus-3.8.1-1.fc28, cinnamon-screensaver-3.8.1-1.fc28, cinnamon-settings-daemon-3.8.1-1.fc28, mint-themes-1.6.3-1.fc28, mint-y-icons-1.1.5-1.fc28, muffin-3.8.1-1.fc28, nemo-3.8.2-1.fc28, pix-1.8.0-1.fc28, xapps-1.2.1-1.fc28, xed-1.8.0-1.fc28, xplayer-1.8.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d2841d04c8

Comment 16 Fedora Update System 2018-05-09 21:26:13 UTC
cinnamon-3.8.2-1.fc28, cinnamon-desktop-3.8.1-1.fc28, cinnamon-menus-3.8.1-1.fc28, cinnamon-screensaver-3.8.1-1.fc28, cinnamon-settings-daemon-3.8.1-1.fc28, mint-themes-1.6.3-1.fc28, mint-y-icons-1.1.5-1.fc28, muffin-3.8.1-1.fc28, nemo-3.8.2-1.fc28, pix-1.8.0-1.fc28, xapps-1.2.1-1.fc28, xed-1.8.0-1.fc28, xplayer-1.8.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.